Bug 573090 - Send UseMulticast status code option when Request/Renew/Release/Decline message received unicast
Send UseMulticast status code option when Request/Renew/Release/Decline messa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 554622
  Show dependency treegraph
 
Reported: 2010-03-12 14:50 EST by Jiri Popelka
Modified: 2010-04-22 18:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: dhcp-4.1.1-13.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-22 18:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2010-03-12 14:50:10 EST
Description of problem:

RFC 3315 says:
   When the server receives a Request/Renew/Release/Decline
   message via unicast from a client
   to which the server has not sent a unicast option, the server
   discards the Request/Renew/Release/Decline
   message and responds with a Reply message
   containing a Status Code option with value UseMulticast, a Server
   Identifier option containing the server's DUID, the Client Identifier
   option from the client message, and no other options.
 
Version-Release number of selected component (if applicable):
dhcp-4.1.1-9.fc12.x86_64

Actual results:
ISC DHCP 4.1.1 has this not yet implemented.

Expected results:
Implementation of this behaviour according to RFC 3315.

Additional info:

RFC 3315
18.2.1. Receipt of Request Messages
18.2.3. Receipt of Renew Messages
18.2.6. Receipt of Release Messages
18.2.7. Receipt of Decline Messages
22.12. Server Unicast Option
Comment 1 Fedora Update System 2010-03-12 15:33:22 EST
dhcp-4.1.1-10.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dhcp-4.1.1-10.fc12
Comment 2 Yang Ren 2010-03-14 22:16:40 EDT
Thanks, well test it in fedora.
Comment 3 Yang Ren 2010-03-15 02:32:01 EDT
Verifyed in pkg dhcp-4.1.1-13.fc14
Comment 4 Fedora Update System 2010-03-15 20:54:27 EDT
dhcp-4.1.1-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dhcp-4.1.1-10.fc12
Comment 5 Yang Ren 2010-03-15 23:42:45 EDT
Verifyed in pkg dhcp-4.1.1-10.fc12.x86_64
Comment 7 Fedora Update System 2010-03-22 22:08:38 EDT
dhcp-4.1.1-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dhcp-4.1.1-11.fc12
Comment 8 Yang Ren 2010-03-23 03:14:10 EDT
Verified in dhcp-4.1.1-11.fc12
Comment 9 Fedora Update System 2010-03-24 19:29:18 EDT
dhcp-4.1.1-12.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dhcp-4.1.1-12.fc12
Comment 10 Fedora Update System 2010-03-26 21:01:26 EDT
dhcp-4.1.1-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dhcp-4.1.1-13.fc12
Comment 11 Yang Ren 2010-03-30 01:55:16 EDT
Verified in dhcp-4.1.1-13.fc12
Comment 12 Fedora Update System 2010-04-22 18:33:45 EDT
dhcp-4.1.1-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.